/* ***** BEGIN LICENSE BLOCK *****
Version: MPL 1.1/LGPL 2.1/GPL 2.0

The contents of this file are subject to the Mozilla Public License Version 
1.1 (the "License"); you may not use this file except in compliance with
...
for the specific language governing rights and limitations under the
License.

The Original Code is for Luminous Forts.

The Initial Developer of the Original Code is Hekar Khani.
Portions created by the Hekar Khani are Copyright (C) 2010
Hekar Khani. All Rights Reserved.

Contributor(s):
  Hekar Khani <hekark@gmail.com>

Alternatively, the contents of this file may be used under the terms of
either of the GNU General Public License Version 2 or later (the "GPL"),
...
the terms of any one of the MPL, the GPL or the LGPL.

***** END LICENSE BLOCK ***** */


/*===============================================================
	Shared
	SF194

	Sourceforts 1.9.4 Spawnpoint backward compatiblity

	Last Updated March 12, 2010
==============================================================*/

#include "cbase.h"

#ifdef MOD_SF194
#include "CSpawnPoint.h"

class CSF194SpawnPoint : public CModSpawnPoint
{
	DECLARE_DATADESC();
public:
	CSF194SpawnPoint();
};

BEGIN_DATADESC( CSF194SpawnPoint )

	DEFINE_KEYFIELD( m_iDesiredTeamNumber, FIELD_INTEGER, "Skin" ),

END_DATADESC();

LINK_ENTITY_TO_CLASS( info_player_team_spawn, CSF194SpawnPoint );

CSF194SpawnPoint::CSF194SpawnPoint()
{
	if ( m_iDesiredTeamNumber == 2 ) // TEAM_COMBINE
	{
		m_iDesiredTeamNumber = SDK_TEAM_BLUE;
	}
	else if ( m_iDesiredTeamNumber == 3 ) // TEAM_REBEL
	{
		m_iDesiredTeamNumber = SDK_TEAM_RED;
	}
}

#endif // MOD_SF194